SearchHandler Class Referenceabstract

`#include <searchhandler.h>`

## Public Member Functions

virtual | ~SearchHandler ()
virtual void | handleSearchFields (const JID &directory, int fields, const std::string &instructions)=0
virtual void | handleSearchFields (const JID &directory, const DataForm *form)=0
virtual void | handleSearchResult (const JID &directory, const SearchResultList &resultList)=0
virtual void | handleSearchResult (const JID &directory, const DataForm *form)=0
virtual void | handleSearchError (const JID &directory, const Error *error)=0

## Detailed Description

A virtual interface that enables objects to receive Jabber Search (XEP-0055) results.

A class implementing this interface can receive the result of a Jabber Search.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8.5

Definition at line 144 of file searchhandler.h.

## Constructor & Destructor Documentation

## ~SearchHandler()

virtual ~SearchHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 150 of file searchhandler.h.

## Member Function Documentation

## handleSearchError()

virtual void handleSearchError | ( | const JID & | directory,
|  | const Error * | error )

pure virtual

This function is called if a error occured as a result to a search or search field request.

Parameters

  directory | The queried/searched directory.
  error | The error. May be 0.

## handleSearchFields() [1/2]

virtual void handleSearchFields | ( | const JID & | directory,
|  | const DataForm * | form )

pure virtual

This function is called to announce the searchable fields a directory supports. It is the result of a call to Search::fetchSearchFields() .

Parameters

  directory | The directory that was queried.
  form | A DataForm describing the valid searchable fields. Do not delete the form.

## handleSearchFields() [2/2]

virtual void handleSearchFields | ( | const JID & | directory,
|  | int | fields,
|  | const std::string & | instructions )

pure virtual

This function is called to announce the searchable fields a directory supports. It is the result of a call to Search::fetchSearchFields() .

Parameters

  directory | The directory that was queried.
  fields | Bit-wise ORed SearchFieldEnum values.
  instructions | Plain-text instructions for the end user.

## handleSearchResult() [1/2]

virtual void handleSearchResult | ( | const JID & | directory,
|  | const DataForm * | form )

pure virtual

This function is called to let the SearchHandler know about the result of the search.

Parameters

  directory | The searched directory.
  form | A DataForm containing the search results. Do not delete the form.

## handleSearchResult() [2/2]

virtual void handleSearchResult | ( | const JID & | directory,
|  | const SearchResultList & | resultList )

pure virtual

This function is called to let the SearchHandler know about the results of the search.

Parameters

  directory | The searched directory.
  resultList | A list of SearchFieldStructs. May be empty.

The documentation for this class was generated from the following file:

- searchhandler.h